Page MenuHomePhabricator

rack/setup/install Prometeuse/Grafana host frmon2001 for fr-tech
Closed, ResolvedPublic

Description

This task will track the receiving, racking, setup, and installation of the new Prometeuse/Grafana host for fr-tech

frmon2001.frack.codfw.wmnet:

  • - receive in system on procurement task T194860
  • - rack system with & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, private vlan=frack-administration-codfw)
    • end on-site specific steps
  • - production private dns entries added.
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff for service implementation

Details

Related Gerrit Patches:

Event Timeline

Papaul triaged this task as Normal priority.Jun 5 2018, 3:48 PM
Papaul created this task.
Papaul created this object in space Restricted Space.
Restricted Application added a project: procurement. · View Herald TranscriptJun 5 2018, 3:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Papaul shifted this object from the Restricted Space space to the S1 Public space.Jun 5 2018, 3:49 PM
Papaul removed a project: procurement.
Papaul updated the task description. (Show Details)Jun 5 2018, 5:44 PM
Jgreen updated the task description. (Show Details)Jun 5 2018, 5:46 PM
Papaul renamed this task from rack/setup/install Prometeuse/Grafana host for fr-tech to rack/setup/install Prometeuse/Grafana host frmon2001 for fr-tech.Jun 5 2018, 5:48 PM
Papaul updated the task description. (Show Details)
Jgreen updated the task description. (Show Details)Jun 5 2018, 5:50 PM
Papaul updated the task description. (Show Details)Jun 5 2018, 6:44 PM

Change 437768 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add prod & mgmt DNS for frmon2001

https://gerrit.wikimedia.org/r/437768

Change 437768 merged by Jgreen:
[operations/dns@master] DNS: Add prod & mgmt DNS for frmon2001

https://gerrit.wikimedia.org/r/437768

Papaul reassigned this task from Papaul to Jgreen.Jun 6 2018, 9:26 PM
Papaul updated the task description. (Show Details)

@Jgreen all yours. let me know if you have any questions.

Jgreen removed Jgreen as the assignee of this task.Jun 21 2018, 5:02 PM
Vvjjkkii renamed this task from rack/setup/install Prometeuse/Grafana host frmon2001 for fr-tech to nlbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii removed cwdent as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: cwdent; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from nlbaaaaaaa to rack/setup/install Prometeuse/Grafana host frmon2001 for fr-tech.Jul 2 2018, 7:00 AM
CommunityTechBot assigned this task to cwdent.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: cwdent.
Papaul updated the task description. (Show Details)Sep 13 2018, 5:54 PM

As this is no longer awaiting any onsite work from ops-codfw, I've removed it from the projects.

Aklapper removed cwdent as the assignee of this task.Jul 1 2019, 7:18 AM
Aklapper added a subscriber: cwdent.

(Resetting assignee as @cwdent has left WMF)

Jgreen claimed this task.Jul 22 2019, 8:28 PM
Jgreen closed this task as Resolved.Aug 9 2019, 3:41 PM
Jgreen updated the task description. (Show Details)
Jgreen added a project: ops-codfw.
Jgreen moved this task from Backlog to Done on the fundraising-tech-ops board.

prometheus is up and running and collecting, there's still work to be done on the monitoring infrastructure around redundancy and reliability, but it's basically up